/*****************************************************************************
/*
                                Persona.h
*/
/*****************************************************************************/

#ifndef PERSONA_H_LOADED
#define PERSONA_H_LOADED 1

#include "wasd.h"

#define PERSONA_RIGHTS_MAX 256

/*******************/
/* data structures */
/*******************/

#ifdef __ALPHA
#   pragma member_alignment __save
#   pragma member_alignment
#endif

#define PERSONA_USER_NAME_SIZE 12

struct PersonaCacheStruct
{
   struct  ListEntryStruct  PersonaCacheListEntry;
   int  HitCount,
        PersonaHandle,
        ReuseCount;
   unsigned long  LastBinaryTime [2];
   char  UserName [PERSONA_USER_NAME_SIZE+1];
};

#ifdef __ALPHA
#   pragma member_alignment __restore
#endif

/***********************/
/* function prototypes */
/***********************/

int PersonaAssume (char*);
int PersonaCache (char*, int);
PersonaHoldsIdentifier ();
int PersonaInit ();
int PersonaStub (...);

#endif /* PERSONA_H_LOADED */

/*****************************************************************************/

