/*****************************************************************************/
/*
                                 Error.h
*/
/*****************************************************************************/

#ifndef ERROR_H_LOADED
#define ERROR_H_LOADED 1

#include "wasd.h"

/***********************/
/* function prototypes */
/***********************/

ErrorHeapAlloc (struct RequestStruct*, char*, int);
ErrorExitVmsStatus (int, char*, char*, int);
ErrorGeneral (struct RequestStruct*, char*, ...);
ErrorGeneralOverflow (struct RequestStruct*, char*, int);
ErrorInternal (struct RequestStruct*, int, char*, char*, int);
ErrorMessageDividerAst (struct RequestStruct*);
ErrorNoticed (int, char*, char*, int);
#define ReportSuccess ErrorReportSuccess
ErrorRedirectQueryString (struct RequestStruct*, int, char*, char*, char*, int);
ErrorReportSuccess (struct RequestStruct*, char*, ...);
ErrorSendToClient (struct RequestStruct*);
ErrorServerShutdown (unsigned short);
char* ErrorSourceInfo (char*, int);
ErrorVmsStatus (struct RequestStruct*, int, char*, int);

#endif /* ERROR_H_LOADED */

/*****************************************************************************/

